// this one export only m and sd for Table 3 
//									With SD

capture program drop maketable3WSD
program define       maketable3WSD
 
local maxrows = 500
 
syntax using/, rhs(string) varcol(string) [name(string)] [replace] [append]


local lhs = "`rhs'"
local newb = r(mean)   
local newp = r(sd)     

 
if "`replace'" != "replace" & "`append'" != "append" {
 display "Must specify either replace or append"
 exit 
}
 
/*initialize dataset*/
preserve
clear
if "`replace'" == "replace" {
 qui set obs `maxrows'
 qui g col0 = ""
 qui g col1 = "`varcol'" in 1
 local whichcol = "col1"
}
else {
 capture insheet using `using'.out, names
 if _rc != 0 {
  display "File not found"
  exit
 }
 local whichcol = ""
 local howmanycols = 0
 foreach X of var col* {
  qui count if `X' == "`varcol'"
  if r(N) > 0 {
   local whichcol = "`X'" 
  }
  local howmanycols = `howmanycols' + 1
 }
  
 if "`whichcol'" == "" {
  /*make a new column*/
  qui g col`howmanycols' = "`varcol'" in 1
  local whichcol = "col`howmanycols'"
  }     
 
 
}

/*find which row to use*/
local lastrow = 0
local brow = 0
foreach X of num 1/`maxrows' {
 qui count if col0 == "`rhs'" in `X'
 if r(N) == 1 & `brow' == 0 {
  local brow = `X' 
 }
 qui count if col0 != "" in `X'
 if r(N) == 1 {
  local lastrow = `X' 
 } 
}
if `brow' == 0 {
 local brow = `lastrow' + 2
 
}

if  "`rhs'" != "Recal Period" {

local bb = `brow' + 1 
qui replace col0 = "`rhs'" in `brow'
qui replace `whichcol' = string(`newb',"%4.3f") in `brow'
qui replace `whichcol' = "(" + string(`newp',"%4.3f") + ")" in  `bb'

}

else{

qui replace col0 = "`rhs'" in `brow'
qui replace `whichcol' = "`name'" in `brow'

}

 
outsheet using `using'.out, replace
 
restore
end
