
****This file will prepare combined _Exp, _Tax, _ind_wage_predicted info for each country, which will be used to determine which observations to drop based on abnormally high taxation values

clear
cap clear matrix
set mem 300m
set more off

clear
cap log close
cd\


set more off
cd\IT\Results
**********************************************************************
gl   AL_country  = "Albania"
gl   ET_country  = "Ethiopia"
gl   GU_country  = "Guatemala"
gl ID07_country  = "Indonesia 2007"
gl NG04_country  = "Nigeria 2004"
gl   NI_country  = "Nicaragua"
gl   PA_country  = "Panama"
gl   PH_country  = "Philippines"
gl  V02_country  = "Vietnam 2002"
gl   ZA_country  = "Zambia"


gl N = 0

// parameters chosen to calculate the Equivalent to Scale (ES) households size based on Deaton and Olken works
gl alpha_s = 0.5
gl alpha_l = 0.6
gl teta    = 0.85

// list of countries considered for this analysis
	gl country_list ID07 PH AL ET V02 GU PA NI ZA NG04


foreach cty in $country_list {
	
	display "*****`cty' begins here**********
	if "`cty'" == "GU" | "`cty'" == "PA" | "`cty'" == "NI" | "`cty'" == "ZA" | "`cty'" == "NG04"{
		use "`cty'_Exp.dta", clear
	}

	if "`cty'" == "ID07" | "`cty'" == "PH" | "`cty'" == "AL" | "`cty'" == "ET" |"`cty'" == "V02"{
		use "`cty'_Tax.dta", clear
		sort hid
		merge hid using "`cty'_Exp.dta", unique
		tab   _
		drop  _
		merge hid using "`cty'_ind_wage_predicted.dta", sort
		tab _
		drop _		

		g       r_lab_infor_days = 100 * (days/(250*worker))
		drop if r_lab_infor_days > 50 & r_lab_infor_days < .

		g     lab_infor_tax = ((days*HHwage_Av_hat)/ 21.7)
		g	  r_lab_infor_tax = 100 * (lab_infor_tax / (12*hhexp))
		drop if r_lab_infor_tax > 50 & r_lab_infor_tax < .
	}

	// dropping 2 remaining problematic obs. (assuming misentry)	
	if "`cty'" == "V02"{
		g   r_tot_dir_tax  =   100 * (tot_dir_tax/(12*hhexp))
		drop if r_tot_dir_tax > 100 & r_tot_dir_tax < .
	}
	
	keep hid
	sort hid
		
	save `cty'_keeplist_ids, replace
		
	merge hid using `cty'_Exp, sort
	tab _m
	drop if _m == 2
	drop _m
	save `cty'_keeplist, replace

}

cd\
cd\IT

